//
//  Post.swift
//  NoDiceAlpha
//
//  Created by Ben Albright on 4/5/24.
//

import SwiftUI
import FirebaseFirestoreSwift

struct Post: Identifiable,Codable,Equatable,Hashable {
    @DocumentID var id: String?
    var text: String
    var imageURL: URL?
    var imageReferenceID: String = ""
    var gameNameSpelled: String = ""
    var rating: String = "0"
    var playersPicked: String = ""
    var timePicked: String = ""
    var publishedDate: Date = Date()
    var likedIDs: [String] = []
    var userName: String
    var userUID: String
    var userProfileURL: URL
    
    enum CodingKeys: CodingKey {
        case id
        case text
        case imageURL
        case imageReferenceID
        case gameNameSpelled
        case rating
        case playersPicked
        case timePicked
        case publishedDate
        case likedIDs
        case userName
        case userUID
        case userProfileURL
    }
}
