//
//  GameSelectionView.swift
//  NoDiceAlpha
//
//  Created by Ben Albright on 4/8/24.
//

import SwiftUI

struct GameSelectionView: View {
    
    @Environment(\.presentationMode) var presentationMode
    var savedGames: [UserSavedGame]
    var currentSelection: String?
    var onSelect: (UserSavedGame) -> Void

    var body: some View {
        List(savedGames, id: \.id) { game in
            HStack {
                Text(game.name)
                Spacer()
                if game.id == currentSelection {
                    Image(systemName: "checkmark")
                }
            }
            .contentShape(Rectangle())
            .onTapGesture {
                self.onSelect(game)
                self.presentationMode.wrappedValue.dismiss()
            }
        }
    }
}
